#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1
%define subrel 1

Summary:        A KDE Software for Music Education
Name:           minuet
Version: 19.04.0
Epoch:          2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

## Upstream patches (100-200)
Patch100:       0001-Remove-use-of-QuickCompiler.patch

BuildRequires:  kf5-macros
BuildRequires:  libecasound-devel

BuildRequires:  pkgconfig(Qt5Core) 
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Quick)

BuildRequires:  cmake(Qt5QuickControls2)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DocTools)


BuildRequires:  pkgconfig(drumstick-alsa)
BuildRequires:  pkgconfig(fluidsynth)

%description
A KDE Software for Music Education

%files -f %name.lang
%_kf5_bindir/%name
%_kf5_datadir/%name/
%_kf5_datadir/appdata/org.kde.minuet.appdata.xml
%_kf5_datadir/applications/org.kde.minuet.desktop
%_qt5_plugindir/minuet/minuetfluidsynthsoundcontroller.so
%_iconsdir/*/*/*/*

#--------------------------------------------------------------------

%define minuetinterfaces_major 0
%define libminuetinterfaces %mklibname minuetinterfaces %{minuetinterfaces_major}

%package -n %libminuetinterfaces
Summary:      This lib manages sieve support
Group:        System/Libraries

%description -n %libminuetinterfaces
This lib manages sieve support.

%files -n %libminuetinterfaces
%_kf5_libdir/libminuetinterfaces.so.%{minuetinterfaces_major}*

#--------------------------------------------------------------------

%define libminuetinterfaces_devel %mklibname minuetinterfaces -d

%package -n %libminuetinterfaces_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libminuetinterfaces = %epoch:%version-%release

Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %libminuetinterfaces_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %libminuetinterfaces_devel
%_kf5_libdir/libminuetinterfaces.so
%_includedir/minuet/

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name} --with-html --all-name


%changelog
* Sat Jan 04 2020 daviddavid <daviddavid> 2:19.04.0-1.1.mga7
+ Revision: 1476490
- add upstream patch to remove use of QuickCompiler (mga#26012)
- rebuild for new Qt5 5.12.6 stack

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390534
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387752
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1383453
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375763
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365657
- New version 18.12.2

* Tue Jan 15 2019 luigiwalser <luigiwalser> 2:18.12.1-2.mga7
+ Revision: 1357003
- rebuild for fluidsynth
+ neoclust <neoclust>
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339599
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332829
- New version 18.08.3
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1299557
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229148
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201978
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1195000
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1186542
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143134
- New version 17.08.0

* Mon Aug 07 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1138647
- New version 17.07.90

* Wed Jul 26 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131014
- New version 17.04.3

* Fri Mar 10 2017 neoclust <neoclust> 2:16.04.3-2.mga6
+ Revision: 1091165
- Revert to version 16.04.3
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1
- New version 16.12.0
- New version 16.11.90
- New version 16.08.2
- New version 16.08.1
- New version 16.08.0

* Sun Jul 10 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1041025
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1013663
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004423
- New version 16.04.0

* Sat Apr 02 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997569
- imported package minuet

